{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  cfg = config.desktop.plasma;
in {
  imports = [
    ./common/pipewire.nix
  ];
  options = {
    desktop.plasma = {
      enable = mkEnableOption "enable plasma desktop";
      # sddmEnable = mkEnableOption "enable simple display manager";
    };
  };
  config = mkIf cfg.enable {
    stylix.targets.qt.enable = mkDefault false;
    environment.systemPackages = with pkgs; [gcr_4];
    services = {
      gnome.gnome-keyring.enable = true;
      desktopManager.plasma6.enable = true;
      displayManager.sddm = {
        enable = true; # cfg.sddmEnable;
        wayland.enable = true;
      };
    };
    fonts.fontDir.enable = true;

    xdg.portal = {
      enable = true;
      config.common = {
        "org.freedesktop.impl.portal.Secret" = ["gnome-keyring"];
      };
    };
  };
}
